/**
 * Theme Name:     Nocodevn
 * Author:         Nocodevn
 * Template:       flatsome
 * Text Domain:	   k-tech
 * Description:    Theme Build by Dai
 * Theme URI:      https://nocodevn.dev/
 * Author URI:     https://nocodevn.dev/
 * Version:        05.2026
 * License:        2NRJM-B46WR-K6VQR-Y4T3D-QRWPX
 * License URI:    https://nocodevn.dev/
 */

/*************** ADD CUSTOM CSS HERE.   ***************/

.entry-header .title {
	font-size: 32px;
	font-weight: 900;
	color: var(--primary-color);
}


/* Bài viết */
.content .wp-block-paragraph{
    position: relative;
    padding-left: 24px;
    margin: 24px 0;
    line-height: 1.8;
    color: #4A5568;
}

.content .wp-block-paragraph::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 4px;
    background: #E7B51D;
    border-radius: 2px;
}

.content > h2 {
	text-align: start;
	font-weight: 600 !important;
}

/* Home Page */

.home-oke .banner-service .fill img {
	opacity: 1;
	filter: brightness(.8);
}

/* .home-oke .banner-service .fill .txt-desc {
	opacity: 1;
}	 */

.home-oke .banner-service .banner-inner .txt-desc{
    display: block;
}



.home-oke .section-bg {
	background: url(/wp-content/uploads/2026/06/Rectangle-14321.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.bg-home-wrap {
	margin-top: -35px;
	padding: 100px 0 35px 0;
	background: url(/wp-content/uploads/2026/06/Rectangle-14321.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.home .sec-footer, .home-why {
	margin-top: -30px;
	border-radius: 30px 30px 0 0;
}

.home .sec-footer.sec-footer-home {
	display: block;
}

.home .sec-footer {
	display: none;
}

.home-share {
	border-radius: 30px 30px 0 0;
}

.home-feedback {
	border-radius: 0 0 30px 30px;
}

@media only screen and (max-width: 48em) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/

	/* Sidebar	 */
    .menu-item-655{
        position: relative;
    }

    .mobile-visa-dropdown{
        display: none;
    }
	
	.gap-menu-block {
		padding-top: 0px !important;
	}

	/* Trang chủ */
	.home-policy .featured-box {
		gap: 16px;
	}
	
    .slider-visa .flickity-prev-next-button {
        display: flex !important;
        opacity: 1 !important;
        visibility: visible !important;
        pointer-events: auto !important;
		width: 40px;
		height: 40px;
    }

    .slider-visa .flickity-prev-next-button.previous {
        left: -50px !important;
    }

    .slider-visa .flickity-prev-next-button.next {
        right: -50px !important;
    }
	
	/* 	 */
	.home-slider .visa-icon-wrapper {
        margin: 0 0 0 0;
		width: 100px;
		height: 100px;
		margin-bottom: 35px;
    }
	
	.home-slider .visa-description {
    	text-align: left;
    }
	
	.home-slider .visa-description span{
    	font-size: 130% !important;
    }
	
	.home-slider .visa-content-left {
		display: flex;
		flex-direction: column;
		align-items: flex-start !important;
	}
	
	/* 	 */
	.home-why .why {
		font-size: 46px;
	}
	
	
	/* 	 */
	.home-visa .slider .item .banner .text-box .button {
		font-size: 16px;
		font-weight: 400;
		color: #000;
	}
	
	/* 	Home oke */
	.home-oke .container .row:not(.row-collapse), .lightbox-content .row:not(.row-collapse), .row .gallery, .row .row:not(.row-collapse) {
		margin-left: 0px;
		margin-right: 0px;
	}
	
	.home-oke .col, .columns, .gallery-item {
		padding: 0 20px 30px;
	}
	
	/* 	 */
/*     .home-blog .blog-list .post-item{
        width: 100% !important;
        max-width: 100% !important;
        flex: 0 0 100% !important;
    } */

    .home-blog .blog-list .flickity-slider > .post-item{
        width: 100% !important;
    }
	
	/* 	 */
	.home-share .flickity-prev-next-button {
        display: flex !important;
        opacity: 1 !important;
        visibility: visible !important;
        pointer-events: auto !important;
		width: 40px;
		height: 40px;
    }
	
	.home-share .slider-btn .flickity-button.previous {
		left: 25% !important;
	}
	
	.home-share .slider-btn .flickity-button.next {
		right: 25% !important;
	}

    .home-share .flickity-prev-next-button.previous {
		bottom: -10% !important;
    }

    .home-share .flickity-prev-next-button.next {
		bottom: -10% !important;
    }
	
	/* 	 */
	.contact-info h4 {
		margin: 0 0 8px;
	}

	.contact-info p {
		margin: 0;
	}

	.contact-info h4:not(:first-child) {
		margin-top: 25px;
	}
	
	.box-cmt .icon {
		width: 47px;
		height: 47px;
	}
	
	.box-company .icon {
		width: 50px;
		height: 50px;
	}
	
	.icon-box-left .icon-box-img+.icon-box-text {
		padding-left: 0px;
	}
	
	.slider-feedback {
		padding-bottom: 60px;
	}
	
	.slider-feedback .flickity-prev-next-button {
		display: flex !important;
		top: 65% !important;
    	transform: translateY(-50%);
		
	}
	
	.slider-feedback .slider-nav-circle .flickity-prev-next-button .arrow, .slider-nav-circle .flickity-prev-next-button svg {
		border: 2px solid;
		border-radius: 100%;
	}
	
	/* 	 */
	.home-feedback .slider-feedback .item .txt-feedback::before {
		width: 35px;
		height: 35px;
	}
	
	.home-feedback .slider-feedback .item .txt-feedback {
		padding-top: 70px;
	}
	
	.home-feedback .flickity-button .flickity-button-icon {
		background: var(--primary-color);
		border: none;
	}
	
	.home-feedback .flickity-button .flickity-button-icon > path {
		color: #fff;
	}
	
	/* 	Page about us */
	
	.about-banner .banner-layers {
		overflow-y: hidden !important;
	}
	
	.about-policy .icon-box {
		gap: 16px;
	}
	
	.about-value {
		background-color: #fff !important;
		padding-left: 16px;
		padding-right: 16px;
	}
	
	.about-value .section-content {
		background-color: rgb(243, 248, 255);
		border-radius: 24px;
	}
	
	.about-value .icon-box-img .icon{
		width: 48px !important;
		height: 48px !important;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	
	.about-value .icon-box-img .icon svg{
		width: 23px !important;
		height: 23px !important;
	}
	
	.about-vision .list-vision {
		display: flex;
		flex-direction: column;
		align-items: flex-start;
		gap: 15px;
	}

	.about-vision .list-vision .box-vision{
		width: 100%;
		gap: 16px;
	}

	.about-vision .list-vision .txt{
		width: 100%;
	}
	
	   /* Tắt Flickity */
    .about-service .slider-wrapper .flickity-enabled{
        display: block;
    }

    .about-service .slider-wrapper .flickity-viewport{
        height: auto !important;
        overflow: visible;
    }

    .about-service .slider-wrapper .flickity-slider{
        position: static !important;
        transform: none !important;
    }

    /* Mỗi slide thành 1 hàng */
    .about-service .slider-wrapper .flickity-slider > .row{
        position: static !important;
        left: auto !important;
        width: 100% !important;
        margin-bottom: 20px;
    }

    /* Ẩn nút và dots */
    .about-service .slider-wrapper .flickity-prev-next-button,
    .about-service .slider-wrapper .flickity-page-dots{
        display: none !important;
    }
	
	.about-service .slider-wrapper .flickity-viewport .col{
		padding-right: 0px;
		padding-left: 0px;
    }
	
	.about-customer .section-bg {
		background-color: #fff;
	}
	
	/* 	Service detail */
	.visa-banner .list-menu{
		display:grid;
		grid-template-columns:repeat(2,1fr);
		gap:12px;
	}

	.visa-banner .list-menu .button{
		width:100%;
		margin:0!important;
	}

	.visa-banner .list-menu .button:nth-child(5){
		grid-column:1 / 3;
		justify-self:center;
		width:50%;
	}
	
	.visa-banner .col-btn {
		padding-bottom: 20px !important;
		padding-top: 20px !important;
	}
	
	.visa-banner .list-menu .button:nth-child(1),
	.visa-banner .list-menu .button:nth-child(3){
		border-right:1px solid rgba(255,255,255,.35);
	}
	
	.visa-banner .list-menu .button:nth-child(2),
	.visa-banner .list-menu .button:nth-child(4){
		border-right:none !important;
	}
	
	.visa-banner .list-menu .button:nth-child(5){
		padding-top: 10px;
	}
	
	.visa-banner .list-menu .button:not(:last-of-type) {
		border-bottom: 1px solid hsla(0, 0%, 100%, .5) !important;
		padding: 10px;
	}
	
	.visa-banner .list-menu {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0;
    }
	
/* 	.visa-banner .col-btn .col-inner{
		background-color: rgba(255, 255, 255, 0.45) !important;
	} */
	
	.visa-banner .text .title {
		font-size: 39px;
	}
	
	.visa-banner .col-btn .list-menu .button > span {
		font-size: 22px;
	}
	
	.visa-about .row-details>.col {
		padding-bottom: 15px;
	}
	
    .visa-about .row-details > .item-3{
        padding-bottom: 0rem !important;
        margin-bottom: -.7rem !important;
    }
	
	.visa-about .row-details>.col:nth-child(even) {
  		padding-left: 5px;
	}
	
	.visa-about .row-details>.col:nth-child(odd) {
  		padding-right: 5px;
	}
	
	.visa-price .box-price {
		gap: 16px;
	}
	
	.visa-price .item .col-inner {
		gap: 16px;
	}
	
	.visa-question .question-wrap .col-inner {
		background-color: #fff !important;
		border: none;
		box-shadow: none;
	}
	
	.visa-question .question-list .accordion-item {
		margin-bottom: 16px !important;
	}
	
	.visa-question .question-wrap .question-list .accordion-item .accordion-title {
		font-weight: 500;
	}
	
	/* 	 */
	.sec-blog .title-head {
		padding-bottom: 0px;
	}
	
	/* 	Service detail */
	.sec-service .tabbed-content .tab-panels {
		margin-left: 0px;
		margin-top: 20px;
	}
	
	.sec-service .tabbed-content .tab-panels .active {
		padding-left: 20px;
		padding-right: 20px;
		padding-top: 20px;
	}
	
	
	.service-contact .section-bg > img {
		display: none;
	}
	
	.service-contact .contact-box > .col-inner { 
		padding-top: 0px !important;
		padding-left: 0px !important;
		padding-right: 0px !important;
		box-shadow: none;
		
	}

	/* 	Contact Page  */
	
	.contact-banner .banner {
		height: 588px;
	}
	
	
	.contact-banner .banner-bg img {
        object-position: center bottom !important;
    }
	
	.contact-form {
		margin-top: -310px !important;
	}
	
	.contact-form .form-wrap{
		padding-left: 0px;
		padding-right: 0px;
	}
	
	.sec-contact .form-wrap .title-page .section-title {
        justify-content: start;
    }

	.sec-contact .section-content .contact-detail{
		padding-top: 60px;
	}
	
	.contact-banner .title-contact .section-title .section-title-main {
		font-size: 32px;
	}
	
	.contact-banner .txt-content > p{
		padding-top: 10px;
		font-size: 17px;
	}
	
	/* 	News */
	.sec-blog .box-text .post-meta {
		font-size: 16px;
		color: #595959;
		font-family: sans-serif;
	}
	
	 .news-sec-blog .blog-feature{
        display:flex;
        flex-direction:column;
        gap:12px;
    }

    /* Item đầu */
    .news-sec-blog .blog-feature .item:first-child a{
        display:block;
    }
	
	.news-sec-blog .blog-feature .item>a {
		box-shadow: none;
	}
	
	.news-sec-blog .blog-feature .item .thumbnail {
		border-radius: 12px !important;
		margin-bottom: 15px;
	}
	
    .news-sec-blog .blog-feature .item:first-child .content{
        padding: 0px;
    }
	
    .news-sec-blog .blog-feature .item:first-child .blog-footer .date{
        display:block !important;
		font-size: 16px;
		color: #595959;
		font-family: sans-serif;
    }

    .news-sec-blog .blog-feature .item:first-child .blog-footer .read-more{
        display:none;
    }

    /* 3 bài phía dưới */
	
	.news-sec-blog .blog-feature .item:not(:first-child) > a{
		display:flex !important;
		flex-direction:row !important;
		align-items:stretch;
		gap:12px;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .thumbnail{
		flex:0 0 130px;
		width:130px;
		height:135px;
		margin-bottom:0;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .thumbnail img{
		width:100%;
		height:100%;
		object-fit:cover;
		border-radius:10px;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .content{
		flex:1;
		padding:0;
		display:flex;
		flex-direction:column;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .blog-footer{
		margin-top:auto;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .blog-footer .date{
		display:block !important;
		font-size: 14px;
		color: #595959;
		font-family: sans-serif;
	}

	.news-sec-blog .blog-feature .item:not(:first-child) .blog-footer .read-more{
		display:none;
	}
	
	/* Post	 */
	.entry-content .share {
		display: none !important;
	}

	/* 	footer */
	.title-ft .section-title .section-title-main {
		font-size: 16px;
		padding: 0px;
	}
	
	.sec-footer .ux-menu-link__link {
		padding-bottom: 0px;
	}
	
	.sec-footer .box-ft {
		gap: 7px;
	}
	
	.sec-footer .ctf-res .btn-submit input {
    	padding: 11px;
	}
	
	.sec-footer .ctf-res .form-gr .gr-item input {
		height: 40px;
	}
	
	.sec-footer .ctf-res {
        padding: 20px 10px;
    }
	
	.sec-footer .title-company .section-title .section-title-main {
		font-size: 17px;
		font-weight: 600;
		line-height: 1.35;
	}
	
	.footer-policy {
		display: flex;
		justify-content: center;
		padding-top: 15px
	}

	.footer-policy h4 {
		margin: 0;
		font-size: 14px;
		font-weight: 400;
		line-height: 120%;
		text-align: center;
		
	}

	.footer-policy h4 a {
		color: #fff;
		text-decoration: none;
	}
}

